dpkg-trigger(1)

NAMN
dpkg-trigger - ett verktyg för paketutlösare

SYNOPS
dpkg-trigger [flaggor...] utlösarnamn
dpkg-trigger [flaggor...] kommando

BESKRIVNING
dpkg-trigger är ett verktyg för att explicit aktivera utlösare och för att testa om de stöds av den körande dpkg.

Det kan användas av utvecklarskript i komplexa och villkorliga situationer där filutlösare, eller det deklarativa activate-direktivet i utlösarstyrfilen inte kan uttrycka det som behövs. Det kan även användas för test och av systemadministratörer (men observera att utlösarna inte kommer att faktiskt köras av dpkg-trigger).

Okända utlösarnamnsyntaxer är ett fel för dpkg-trigger.

KOMMANDON

--check-supported
    Se om den dpkg som körs stöder utlösare (anropas vanligtvis från ett postinst-skript). Avslutar med 0 om en dpkg med utlösarstöd har kört, eller 1 med ett felmeddelande på standard fel om inte. Det är dock normalt sett bättre att bara aktivera den önskade utlösaren med dpkg-trigger.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

--by-package=paket
    Överstyr den som väntar på en utlösare (sätts vanligen av dpkg genom miljövariabeln DPKG_MAINTSCRIPT_PACKAGE i utvecklarskript, för att namnge det paket som skriptet tillhör, och detta används som standard).

--no-await
    Denna flagga gör så att det anropade paketet T (om det finns) inte behöver vänta på hantering av utlösaren; det/de intresserade paketet/paketen I kommer inte läggas till T:s väntelista för hantering av utlösare och T:s status ändras inte. T kan anses vara installerat även om I kanske ännu inte har hanterat utlösaren.

--no-act
    Bara testa, ändra inte på någonting.

MILJÖVARIABLER

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

SE ÄVEN
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.